Package org.apache.aries.jax.rs.whiteboard.internal.client

## Class ClientBuilderImpl

- java.lang.Object
- - javax.ws.rs.client.ClientBuilder
  - - org.apache.cxf.jaxrs.client.spec.ClientBuilderImpl
    - - org.apache.aries.jax.rs.whiteboard.internal.client.ClientBuilderImpl

All Implemented Interfaces:
  `javax.ws.rs.core.Configurable<javax.ws.rs.client.ClientBuilder>`

    public class ClientBuilderImpl
    extends org.apache.cxf.jaxrs.client.spec.ClientBuilderImpl

### Field Summary

### Fields inherited from class javax.ws.rs.client.ClientBuilder

`JAXRS_DEFAULT_CLIENT_BUILDER_PROPERTY`

### Constructor Summary

Constructors
`ClientBuilderImpl()`

### Method Summary

### Methods inherited from class org.apache.cxf.jaxrs.client.spec.ClientBuilderImpl

`build, connectTimeout, executorService, getConfiguration, hostnameVerifier, keyStore, property, readTimeout, register, register, register, register, register, register, register, register, scheduledExecutorService, sslContext, trustStore, withConfig`

### Methods inherited from class javax.ws.rs.client.ClientBuilder

`keyStore, newBuilder, newClient, newClient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientBuilderImpl

    public ClientBuilderImpl()